/* (non-javadoc)
 * BadFormatException.java is part of BASEFile.
 *
 * BASEFile is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * BASEFile is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEFile; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * johan.enell@onk.lu.se
 * Johan Enell, Dept Oncology, Lund University, S-221 85 Lund, Sweden
 */
package basefile;

/**
 * Thrown when a baseFile is bad formated.
 * 
 * @author Johan Enell
 */
public class BadFormatException extends BASEFileException {

  /**
   * Constructs an <code>BadFormatException</code> with no detail message.
   */
  public BadFormatException() {
    super();
  }

  /**
   * Constructs an <code>BadFormatException</code> with the specified detail message.
   * 
   * @param message the detail message.
   */
  public BadFormatException(String message) {
    super(message);
  }
}
